import gtk
import straw

class OfflineDialog:
    def __init__(self,xml):
        self._window = xml.get_widget("offline_dialog")
        nameFuncMap = {}
        for key in dir(self.__class__):
            if key[:3] == 'on_':
                nameFuncMap[key] = getattr(self, key)
        xml.signal_autoconnect(nameFuncMap)

    def show(self):
        self._window.show()

    def hide(self):
        self._window.hide()

    def on_offline_ok_button_clicked(self, *args):
        self.hide()

    def on_offline_close_button_clicked(self, *args):
        self.hide()

    def on_offline_dialog_delete_event(self, *args):
        self.hide()
        return 1
